/*
 * Copyright (c) 2020 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "aul_fake.h"
#include "alarm_fake.h"
#include "mock.h"

DEFINE_FFF_GLOBALS;

/* aul.h */
DEFINE_FAKE_VALUE_FUNC(int, aul_app_get_appid_bypid, int, char*, int);
DEFINE_FAKE_VALUE_FUNC(int, aul_app_com_create, const char*, aul_app_com_permission_h, app_com_cb, void *, aul_app_com_connection_h*);
DEFINE_FAKE_VALUE_FUNC(int, aul_app_com_send, const char*, bundle*);

/* alarm.h */
DEFINE_FAKE_VALUE_FUNC(alarm_entry_t*, alarmmgr_create_alarm);
DEFINE_FAKE_VALUE_FUNC(int, alarmmgr_free_alarm, alarm_entry_t*);
DEFINE_FAKE_VALUE_FUNC(int, alarmmgr_init, const char*);
DEFINE_FAKE_VALUE_FUNC(int, alarmmgr_set_time, alarm_entry_t*, alarm_date_t);
DEFINE_FAKE_VALUE_FUNC(int, alarmmgr_set_repeat_mode, alarm_entry_t*, alarm_repeat_mode_t, int);
DEFINE_FAKE_VALUE_FUNC(int, alarmmgr_add_alarm_with_localtime, alarm_entry_t*, const char*, alarm_id_t*);